Linux下编译vim8.0

请注意,本文编写于 506 天前,最后修改于 389 天前,其中某些信息可能已经过时。

有很多人使用的linux发行版版本太低,软件源里的vim还是7.x的版本,所以我们可以选择从源码编译vim8.0

先卸载旧版本的vim

apt remove vim*

准备编译环境

apt install -y  ncurses-devel build-essential

我这里的发行版是Ubuntu,其他发行版应该大同小异,请以此类推,准备C编译环境就好,ncurses-devel是vim依赖包,其他发行版包名可能有所不同

下载源码并解压

wget https://github.com/vim/vim/archive/master.zip 
unzip master.zip

开始编译

cd vim-master 
cd src/ 
./configure 
make

安装

make install

如果提示没有权限,在命令前加上sudo即可

查看vim版本

vim --version

编辑~/.bashrc,加入以下内容

alias vi='vim'

这样就可以用vi而不是vim执行命令了,方便一点
结束,Enjoy!

添加新评论